Subject: Re: e1000 driver problems

From: "Kok, Auke" <[email-masked]>
Date: Tue, 04 Dec 2007 12:38:59 -0800

Lukas Hejtmanek wrote:
> On Tue, Dec 04, 2007 at 09:19:11AM -0800, Kok, Auke wrote:
>> if you "just" want to disable gigabit speed, get the latest ethtool and run:
>>
>>    ethtool -s eth0 advertise 0x0f
>>
> 
> thanks. You may then let know people behind http://www.lesswatts.org/ to
> change tips&tricks related to the network. I turned off autonegotiation
> according to that web.

I have sent this out to them recently. This feature however is not available in
all drivers, they explicitly need to be able to handle the advertise mask flag,
and it requires a newer ethtool.

Cheers,

Auke